zenilib: Zeni::Vertex2f Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
Zeni::Vertex2f Class Reference

`#include <Vertex2f.h>`

Inherited by Zeni::Vertex2f_Color, and Zeni::Vertex2f_Texture.

## Public Member Functions

virtual | ~Vertex2f ()
void * | get_address () const
| A bit of a hack, necessary to memcpy data into Vertex_Buffers. More...
unsigned long | get_offset () const
| A bit of a hack, necessary to memcpy data into Vertex_Buffers. More...
virtual Point3f | get_position () const

## Public Attributes

Point3f | position

## Protected Member Functions

| Vertex2f ()
| Vertex2f (const Point2f &position)

## Detailed Description

Definition at line 55 of file Vertex2f.h.

## Constructor & Destructor Documentation

Zeni::Vertex2f::Vertex2f | ( |  | ) |

protected

Definition at line 52 of file Vertex2f.cpp.

Zeni::Vertex2f::Vertex2f | ( | const Point2f & | position | ) |

protected

Definition at line 56 of file Vertex2f.cpp.

Zeni::Vertex2f::~Vertex2f | ( |  | ) |

virtual

Definition at line 61 of file Vertex2f.cpp.

## Member Function Documentation

void * Zeni::Vertex2f::get_address | ( |  | ) | const

inline

A bit of a hack, necessary to memcpy data into Vertex_Buffers.

Definition at line 25 of file Vertex2f.hxx.

References position.

Referenced by Zeni::Vertex2f_Color::render_to().

unsigned long Zeni::Vertex2f::get_offset | ( |  | ) | const

inline

A bit of a hack, necessary to memcpy data into Vertex_Buffers.

Definition at line 34 of file Vertex2f.hxx.

References position.

Point3f Zeni::Vertex2f::get_position | ( |  | ) | const

virtual

Definition at line 64 of file Vertex2f.cpp.

References position.

## Member Data Documentation

Point3f Zeni::Vertex2f::position

Definition at line 77 of file Vertex2f.h.

Referenced by Zeni::Vertex_Buffer::fax_Triangle(), get_address(), get_offset(), get_position(), Zeni::Vertex2f_Color::interpolate_to(), Zeni::Vertex2f_Texture::interpolate_to(), Zeni::Vertex2f_Color::subrender_to(), and Zeni::Vertex2f_Texture::subrender_to().

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Vertex2f.h
- zenilib/jni/external/zenilib/zeni_graphics/Vertex2f.cpp
- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Vertex2f.hxx